This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200472 - Review Request: perl-POE-Component-SNMP
Review Request: perl-POE-Component-SNMP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-27 18:38 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 00:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-27 18:38:37 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-SNMP.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-SNMP-1.05-1.fc5.src.rpm

Description: 
POE::Component::SNMP is a POE-ized wrapper around the the Net::SNMP module.
Most of its arguments aren't even evaluated by POE, except for -alias and
-callback_args, as described in the manpage.

If you want to make non-blocking calls with Net::SNMP in a POE application,
this is the module to do it with.
Comment 1 Jason Tibbitts 2006-07-27 23:14:34 EDT
Something's odd with the test suite:

t/10_snmp_get.........POE::Kernel's run() method was never called.
skipped
        all skipped: No SNMP data specified.

Looking deeper, all of the skipped tests require not only network access, but a
running SNMP server to talk to and write to that gets configured when
Makefile.PL is run.  So I guess everything's working as intended.

* source files match upstream:
   d13446b20b21e24c15fd6be406006bec  POE-Component-SNMP-1.05.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is unnecessary)
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::SNMP)
   perl(POE::Component::SNMP::Dispatcher) = 1.27
   perl(POE::Net::SNMP)
   perl-POE-Component-SNMP = 1.05-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(POE::Component::SNMP::Dispatcher)
   perl(POE::Kernel)
   perl(POE::Session)
   perl(Time::HiRes)
   perl(base)
   perl(constant)
* %check is present; the test suite doesn't seem to run well but what can run
passes:
   All tests successful, 10 tests skipped.
   Files=11, Tests=4,  2 wallclock secs ( 1.44 cusr +  0.50 csys =  1.94 CPU)

* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-07-28 00:12:17 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.